import { PostcssThemeConfig, PostcssStrictThemeConfig, Theme } from '../types';
/** Get the theme variable name from a string */
export declare const parseThemeKey: (value: string) => string;
/** Replace a theme variable reference with a value */
export declare const replaceTheme: (value: string, replace: string) => string;
/** Get the location of the theme file */
export declare function getThemeFilename(cssFile: string): string;
/** Remove :theme-root usage from a selector */
export declare const replaceThemeRoot: (selector: string) => string;
/** Make a SimpleTheme into a LightDarkTheme */
export declare const normalizeTheme: (config: PostcssThemeConfig | {}) => PostcssStrictThemeConfig;
/** Resolve any "extends" fields for a theme */
export declare const resolveThemeExtension: (config: PostcssStrictThemeConfig) => PostcssStrictThemeConfig;
/** Determine if a theme has dark mode enabled */
export declare const hasDarkMode: (theme: Theme) => boolean;
