"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const cssesc_1 = __importDefault(require("cssesc"));
const loader_utils_1 = __importDefault(require("loader-utils"));
// eslint-disable-next-line no-control-regex
const filenameReservedRegex = /[<>:"/\\|?*\x00-\x1F]/g;
// eslint-disable-next-line no-control-regex
const reControlChars = /[\u0000-\u001f\u0080-\u009f]/g;
const reRelativePath = /^\.+/;
function localizeIdentifier(loaderContext, localIdentName, name) {
    return cssesc_1.default(loader_utils_1.default
        .interpolateName(loaderContext, localIdentName, { content: name }) // For `[hash]` placeholder
        .replace(/^((-?\d)|--)/, '_$1')
        .replace(filenameReservedRegex, '-')
        .replace(reControlChars, '-')
        .replace(reRelativePath, '-')
        .replace(/\./g, '-')).replace(/\[local\]/gi, name);
}
exports.default = localizeIdentifier;
//# sourceMappingURL=localize-identifier.js.map